"use client"
import React from 'react'
import UserTab from '../../components/layout/UserTab'
import useProfile from '../../components/UseProfile'

const CategoriesPage = () => {
    const {loading:profileLoading, data:profileData} = useProfile();

    if(profileLoading){
        return <p className='flex justify-center items-center'>Loading...</p>
    }

    if(!profileData.admin){
        return <p className='flex justify-center items-center'>Please login as an admin</p>
    }

    
  return (
    <div className='px-5 mb-10 max-w-lg mx-auto'>
        <UserTab isAdmin={true}/>
        This is a category page
    </div>
  )
}

export default CategoriesPage